0

Currently I am using ubuntu 14.02.2 64 bit version.
My citrix receiver was working fine for a few months. After a few updates ubuntu fails to open the application with the following error:

Entrust Certification Authority -L1K, the issuer of the server's security certificate (SSL error 61).

I am getting this error in firefox and chrome.
I have tried copying entrust certificate L1K to /opt/Citrix/ICAClient/keystore/cacerts/ and /usr/share/ca-certificates/mozilla/, but it didn't help.

0

Installed Citrix Receiver 13.1 64 bit version and it solved the issue. We would be hitting some issues while installing it, because it has dependency in 32 bit library. Solution is available if you google "how to run 32 bit application in 64 bit ubuntu".

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.